
Ruby - Feature #13199

Gemify strscan

02/07/2017 07:09 AM - hsbt (Hiroshi SHIBATA)

Status: Closed   

Priority: Normal   

Assignee: hsbt (Hiroshi SHIBATA)   

Target version:    

Description

This issue is tracking for gem release of StringScanner class.

Related issues:

Related to Ruby - Feature #5481: Gemifying Ruby standard library Closed

History

#1 - 02/07/2017 10:13 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

Commited at r57560

#2 - 02/08/2017 09:57 AM - hsbt (Hiroshi SHIBATA)

- Related to Feature #5481: Gemifying Ruby standard library added

#3 - 05/12/2017 06:15 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Closed to Assigned

It's not released on rubygems yet. (It's my mistake.)

#4 - 12/14/2017 05:26 AM - hsbt (Hiroshi SHIBATA)

I requested to remove strscan name from a reserved list of rubygems.org at 2weeks ago. But I didn't get it response.

#5 - 12/19/2017 07:18 AM - hsbt (Hiroshi SHIBATA)

I updated gemspec at r61333.

But I couldn't ship strscan gem to rubygems.org:

https://github.com/rubygems/rubygems.org/pull/1696

If above pull request is not handled until Ruby 2.5 release, I will release strscan-1.0.0 in next year.

#6 - 12/25/2017 05:51 PM - naruse (Yui NARUSE)

- Target version deleted (2.5)

#7 - 04/19/2018 06:57 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

I released strscan gem on rubygems.org

https://rubygems.org/gems/strscan
